--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Looks up one record or a collection of records from the data-store: &quot;SELECT&quot; in SQL."
- !ruby/struct:SM::Flow::P 
  body: "@param [Query] query"
- !ruby/struct:SM::Flow::VERB 
  body: "  The query to be used to seach for the resources\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Array]"
- !ruby/struct:SM::Flow::VERB 
  body: "  An Array of Hashes containing the key-value pairs for\n  each record\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Adapters::InMemoryAdapter#read
is_singleton: false
name: read
params: (query)
visibility: public
